Package Details: openssh-selinux 8.4p1-2

Git Clone URL: https://aur.archlinux.org/openssh-selinux.git (read-only, click to copy)
Package Base: openssh-selinux
Description: Premier connectivity tool for remote login with the SSH protocol, with SELinux support
Upstream URL: https://www.openssh.com/portable.html
Keywords: selinux
Licenses: custom:BSD
Groups: selinux
Conflicts: openssh, selinux-openssh
Provides: openssh=8.4p1-2, selinux-openssh=8.4p1-2
Submitter: Siosm
Maintainer: IooNag
Last Packager: IooNag
Votes: 18
Popularity: 0.099294
First Submitted: 2013-11-03 20:05
Last Updated: 2020-11-04 07:25

Dependencies (16)

Required by (281)

Sources (8)

Latest Comments

« First ‹ Previous 1 2

RemoteAdmin commented on 2017-02-04 08:57

@IooNag An Alternative would be to update to upstream version of openssh. I have filed a bug which is now corrected (https://bugs.archlinux.org/task/52823). May be sufficient as well.

IooNag commented on 2017-02-02 23:35

@RemoteAdmin: thanks for the bug report. Instead of using makedepends I am thinking of adding "checkdepends=('openssh')" to the package, which would not do anything when running "makepkg --nocheck". I will test this option and modify the package this week-end if it works fine.

RemoteAdmin commented on 2017-02-02 12:48

There is a problem with the PKGBUILD. If openssh is not installed the following error will occur at the check:

"scp: failed copy /tmp/3bcb7602/0/aur-archlinux/openssh-selinux/src/openssh-7.4p1/regress/data"

The Problem is stated in the "openssh-7.4p1/regress/README.regress":

[README.regress] "Similarly, if you do not have "scp" in your system's $PATH then the multiplex scp tests will fail (since the system's shell startup scripts will determine where the shell started by sshd will look for scp)."

Therefore openssh must either be added to the makedepends array (which might be kinda wrong 'cause it would test the scp of the openssh package and not the openssl-selinux package as far as I understand it) or the scp in the output folder must be added to the PATH variable.

Siosm commented on 2014-01-02 21:49

Renamed to openssh-selinux

Siosm commented on 2012-05-08 19:27

The group field is missing:
groups=('selinux' 'selinux-system-utilities')

Nicky726 commented on 2011-09-06 11:30

Fixed and switched to version derived directly from [core] via a patch, so this should not happen again.

Siosm commented on 2011-08-30 14:03

I had to remove this line "--with-tcp-wrappers \" from the PKGBUILD as we don't have tcp wrappers anymore on Arch.

Nicky726 commented on 2010-07-26 09:21

Initial release.